Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.service.impl
Class MetadataAuthenticationProcessingFilter

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.user.service.impl.MetadataAuthenticationProcessingFilter

All Implemented Interfaces:
  javax.servlet.Filter, org.springframework.beans.factory.InitializingBean

    public class MetadataAuthenticationProcessingFilter

extends java.lang.Object
implements javax.servlet.Filter, org.springframework.beans.factory.InitializingBean

To be used as part of an Acegi FilterChainProxy. An authentication can exist that is not based on our internal security mechanism, such as using an external LDAP service. This filter will assume that the external authentication is what is wanted, and will:

- create a user in the metadata if it does not exist, adding any default internal roles
- synchronize the external roles with the user profile, adding and removing external roles

Author:
  swood

Field Summary
`protected ExternalUserService` | `externalUserService`

Constructor Summary
`MetadataAuthenticationProcessingFilter()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `destroy()` Does nothing - we reply on IoC lifecycle services instead.
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`ExternalUserService` | `getExternalUserService()`
`void` | `init(javax.servlet.FilterConfig ignored)` Does nothing - we reply on IoC lifecycle services instead.
`void` | `setExternalUserService(ExternalUserService externalUserService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### externalUserService

    protected ExternalUserService externalUserService

Constructor Detail

### MetadataAuthenticationProcessingFilter

    public MetadataAuthenticationProcessingFilter()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.lang.Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `java.lang.Exception`

### init

    public void init(javax.servlet.FilterConfig ignored)
              throws javax.servlet.ServletException

  Does nothing - we reply on IoC lifecycle services instead.

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Parameters:
    `ignored` - not used
  Throws:
    `javax.servlet.ServletException` - DOCUMENT ME!

### destroy

    public void destroy()

  Does nothing - we reply on IoC lifecycle services instead.

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getExternalUserService

    public ExternalUserService getExternalUserService()

### setExternalUserService

    public void setExternalUserService(ExternalUserService externalUserService)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.